﻿/**
* Hilfsmethoden um Texte zu verschlüsseln
*
* @class CryptoJSHelper.js
*/
CryptoJSHelper = {
    getEncryptedString: function (plainText) {
        var keyHex = CryptoJS.enc.Hex.parse(CONSTS.ENCRYPTION_KEY);
        var ivHex = CryptoJS.enc.Hex.parse(CONSTS.ENCRYPTION_IV);
        var options = { iv: ivHex, mode: CryptoJS.mode.CBC, padding: CryptoJS.pad.Pkcs7 };
        var encryptedObj = CryptoJS.AES.encrypt(plainText, keyHex, options);
        var encryptedString = encryptedObj.ciphertext.toString(CryptoJS.enc.Base64);
        return encryptedString;
    }
};