/**
* Zustzliche Hilfsmethoden um die Verwendung von JQueryMobile zu erleichtern
*
* @class jqmHelper.js
*/
$(document).bind("mobileinit", function () {
    $.mobile.ajaxEnabled = false;
    $.mobile.linkBindingEnabled = false;
    $.mobile.hashListeningEnabled = false;
    $.mobile.pushStateEnabled = false;
    $.support.cors = true;
    $.mobile.allowCrossDomainPages = true;
    $.mobile.defaultPageTransition = "none";

});

// special fix to have body content fit the entire browser area

//http://stackoverflow.com/questions/13028349/incorrect-page-height-in-jquery-mobile
var toolbarFixedtoolbarpolyfill;
var pageFixedtoolbarpolyfill;
function bodyMinHeightFix(page) {
     if (navigator.userAgent.toLowerCase().indexOf('windows phone os 7') == -1) return;

    window.toolbarFixedtoolbarpolyfill = page.find(".ui-footer-fixed");
    window.pageFixedtoolbarpolyfill = page;
    window.toolbarFixedtoolbarpolyfill.addClass("ui-fixed-faux");
    // on pagehide, unbind the event handlers
    page.one("pagehide", function () {
        $(this).add(this).add(document).unbind(".fixedtoolbarpolyfill");
    });

    // align for pageshow
    resetPos(window.toolbarFixedtoolbarpolyfill, window.pageFixedtoolbarpolyfill);
}
function resetPos(toolbar, page) {
    // portrait mode only
    if (toolbar == null) return;
    var heighCorrection = 35;
    if (window.innerHeight <= window.innerWidth) {
        heighCorrection = 0;
    }
    toolbar.css("bottom", page.outerHeight() - ($(window).scrollTop() + heighCorrection) - $.mobile.getScreenHeight() + "px");
}


function initPoly() {
    if (navigator.userAgent.toLowerCase().indexOf('windows phone os 7') == -1) return;
    (($(document).scrollTop() === 0) ? $(window) : $(document))
                           .bind("scrollstart.fixedtoolbarpolyfill", function () {
                               visible = window.toolbarFixedtoolbarpolyfill.not(".ui-fixed-hidden").fixedtoolbar("hide", true);
                           })
                           .bind("scrollstop.fixedtoolbarpolyfill", function () {
                               resetPos(window.toolbarFixedtoolbarpolyfill, window.pageFixedtoolbarpolyfill);
                               visible.fixedtoolbar("show");
                           });

    // on resize, reset positioning
    $(window).bind("throttledresize.fixedtoolbarpolyfill", function () {
        resetPos(window.toolbarFixedtoolbarpolyfill, window.pageFixedtoolbarpolyfill);
    });
};