﻿/**
* Addon um aus der App auf Standortdaten zugreifen zu können
*
* @class locationHelper.js
*/
LocationHelper = {
    Location: {
        Straße: null,
        PLZ: null,
        Ort: null,
        Land: null,
        LAT: null,
        LONG: null,
    },

    parseLocationData: function (Param02) {
        var data = Param02.split("|");

        for (var i = 0; i < data.length; i++) {
            if (i == 0) {
                this.Location.Straße = data[i];
            } else if (i == 1) {
                this.Location.PLZ = data[i];
            } else if (i == 2) {
                this.Location.Ort = data[i];
            } else if (i == 3) {
                this.Location.Land = data[i];
            } else if (i == 4) {
                this.Location.LAT = data[i];
            } else if (i == 5) {
                this.Location.LONG = data[i];
            }
        };

        alert(JSON.stringify(this.Location, null, 4));
    },

    getLocation: function (callback, param_01, param_02, models) {

        var self = this;

        var onError = function (error) {
            alert('code: ' + error.code + '\n' +
                  'message: ' + error.message + '\n');
            if (error.Code == PositionError.PERMISSION_DENIED) {
                alert('Sie haben GPS deaktiviert, bitte gehen Sie zu den Einstellungen und aktivieren Sie es.');
            }
        }

        self.param_01 = param_01; 
        self.param_02 = param_02;
        self.models = models;

        if (navigator.geolocation) {
            try {
                navigator.geolocation.getCurrentPosition(function (position) {
                    callback(position, self.param_01, self.param_02, self.models);
                    self.param_01 = null;
                    self.param_02 = null;
                    self.models = null;
                    self = null;
                }, onError);
            } catch (ex) {
                console.log(ex.toString());
            }
        }
  
        /*var geolocationSuccess = function (position) {
            alert('Latitude: ' + position.coords.latitude + '\n' +
                  'Longitude: ' + position.coords.longitude + '\n' +
                  'Altitude: ' + position.coords.altitude + '\n' +
                  'Accuracy: ' + position.coords.accuracy + '\n' +
                  'Altitude Accuracy: ' + position.coords.altitudeAccuracy + '\n' +
                  'Heading: ' + position.coords.heading + '\n' +
                  'Speed: ' + position.coords.speed + '\n' +
                  'Timestamp: ' + new Date(position.timestamp) + '\n');

            this.Location.LAT = position.coords.latitude;
            this.Location.LONG = position.coords.longitude;
        }*/

    },

    //getAdressName: function (LAT, LONG) {
    //    var success = function (results, status) {
    //        if (status === 'OK') {
    //            alert(JSON.stringify(results, null, 4));
    //        }
    //    };

    //    this.search({ 'latlng': LAT + ',' + LONG }, success);

    //}

};