﻿/**
* Generischer View Generischer view für das Darstellen einer komplett generisch erzeugten Ansicht - Der Inhalt wird von einer OnLoad Action oder ähnl. Erzeugt.
*
* @class CustomView.js
*/
window.CustomView = Backbone.View.extend({
    events: {
    },


    buildView: function (that) {
        var genericView = that.options.view;
        // if (genericView.attributes.ViewName != null || genericView.attributes.ViewName != '') {
        //     $('#title').text(genericView.attributes.ViewName);
        // }

        var renderfunction = ActionHelper.CurrentView.options.view.attributes.CustomRoute;
        if (renderfunction != undefined && renderfunction != "") {
            eval(renderfunction);
        }

        //GENERIC ACTIONS
        var viewActions = GenericHelper.getViewActions(genericView);

        _.each(viewActions, function (viewAction) {
            ActionHelper.prepareAction(genericView, viewAction);
        });

        //ONLOAD ACTIONS
        var onloadActions = _.filter(viewActions, function (action) {
            return action.attributes.ActionType == 'onload';
        });

        _.each(onloadActions, function (onloadAction) {
            var Command = 'ActionHelper.' + onloadAction.attributes.CommandName + ActionHelper.prepareParams(onloadAction);
            eval(Command);
        });
    },

    render: function (eventName) {
        var that = this;
        ActionHelper.CurrentView = this;
        ActionHelper.CurrentView.Type = this.options.view.attributes.ViewType;
        if (that.options.modelId != "null") {
            that.model = window.genericData.get(that.options.modelId);
        }
        if (that.options.refModelId != "null") {
            that.refModel = _.first(_.filter(window.genericData.models, function (model) {
                return model.attributes.ObjectId == that.options.refModelId;
            }));
        }
        if (that.model != undefined)
            that.options.refNavId = that.model.attributes.ObjectId;
        require(["lib/text!js/view/generic/html/CustomView.html"], function (template) {
            $(that.el).html(_.template(template)());

            $(that.el).find('#homeButton').attr('src', GlobalSettings.CustomIcon());

            that.buildView(that);

            $('#Custom').trigger('create');
            bodyMinHeightFix($('#customView'));
            ActionHelper.globalOnload();
        });

        this.delegateEvents();
        return this;
    },
});