﻿/**
* OBSOLETE
*
* @class DOMHelper.js
*/
DOMHelper = {
	includeJsRef: function (filename, id) {
		if (document.createElement && document.getElementsByTagName) {
			var headTag = document.getElementsByTagName('head')[0];
			var scriptTag = document.createElement('script');

			if (id) {
			    scriptTag.setAttribute('id', id);
			}

			scriptTag.setAttribute('type', 'text/javascript');
			scriptTag.setAttribute('src', filename);
			headTag.appendChild(scriptTag);
		}
	},

	includeCssRef: function (filename, id) {
		if (document.createElement && document.getElementsByTagName) {
			var headTag = document.getElementsByTagName('head')[0];
			var linkTag = document.createElement('link');

			if (id) {
			    scriptTag.setAttribute('id', id);
			}

			linkTag.setAttribute('rel', 'stylesheet');
			linkTag.setAttribute('type', 'text/css');
			linkTag.setAttribute('href', filename);
			headTag.appendChild(linkTag);
		}
	},

	removeElementById: function (id) {
	    if (document.createElement && document.getElementById) {
	        var element = document.getElementById(id);
	        if (element && element.parentNode) {
	            element.parentNode.removeChild(element);
	        }
	    }
	},

    removeElementsByAttributePattern: function (attribute, pattern) {
        $('*[' + attribute + '*="' + pattern + '"]').remove();
    },

    activateJsConsole: function (debugId) {
        if (debugId && debugId != null && debugId.length > 0)
        {
            window.localStorage.setItem('debugId', debugId);
            DOMHelper.includeJsRef(CONSTS.JSCONSOLE_URL + debugId, debugId);
        }
    },

    deactivateJsConsole: function () {
        var debugId = window.localStorage.getItem('debugId');
        if (debugId) {
            window.localStorage.removeItem('debugId');

            if (debugId != null && debugId.length > 0) {
                DOMHelper.removeElementsByAttributePattern('src', debugId);
            }
        }
    }
};