﻿/**
* Addon um ein komfortablere Nutzung der moment.js Bibliothek zu ermöglichen
*
* @class momentHelper.js
*/
moment.fn.toASP = function () {
    return '/Date(' + (+this) + this.format('ZZ') + ')/';
};

//moment.fn.fromASP = function () {
//    return new Date(parseInt(this.replace("/Date(", "").replace(")/", ""), 10));
//}

moment.fn.toASPDateTimeOffset = function () {

    var dto = {};
    dto.DateTime = this.toASP();
    dto.OffsetMinutes = 0;

    return dto;
};

//moment.fn.fromASPDateTimeOffset = function () {

//    var dto = this;
//    var dt = moment(dto.DateTime);

//    return dt;
//}

//Custom Erweiterung

moment.getPersistFormat = function (DATETIME_FORMAT) {
    return moment(DATETIME_FORMAT, FormatHelper.get_DATETIME_FORMAT()).format(CONSTS.DATETIME_PERSIST_FORMAT);
};

moment.getIndivudualFormat = function (DATETIME_IN,DATETIME_FORMAT_IN, DATETIME_FORMAT_OUT) {
    return moment(DATETIME_IN, DATETIME_FORMAT_IN).format(DATETIME_FORMAT_OUT);
};

moment.getDisplayValue = function (DATETIME_PERSIST_FORMAT, OUTPUTFORMAT) {
    if (OUTPUTFORMAT == undefined || OUTPUTFORMAT == null) {
        return moment(DATETIME_PERSIST_FORMAT, CONSTS.DATETIME_PERSIST_FORMAT).format(FormatHelper.get_DATETIME_FORMAT(), 'de');
    }
    else {
        return moment(DATETIME_PERSIST_FORMAT, CONSTS.DATETIME_PERSIST_FORMAT).format(OUTPUTFORMAT, 'de');
    }   
};


moment.getMilliSecondsFromPersistFormat = function (DATETIME_PERSIST_FORMAT) {
    var val = moment(DATETIME_PERSIST_FORMAT, CONSTS.DATETIME_PERSIST_FORMAT).valueOf()
    return val;
};

moment.getMilliSecondsFromDatePersistFormat = function (DATE_PERSIST_FORMAT) {
    var val = moment(DATE_PERSIST_FORMAT, CONSTS.DATE_PERSIST_FORMAT).valueOf()
    return val;
};


moment.getMilliSecondsFromDateTimeFormat = function (DATETIME_FORMAT) {
    return (moment(DATETIME_FORMAT, FormatHelper.get_DATETIME_FORMAT())).valueOf();
};

moment.getMilliSecondsFromDateFormat = function (DATE_FORMAT) {
    return (moment(DATE_FORMAT, FormatHelper.get_DATE_FORMAT()).valueOf());
};

moment.getTimeGreaterThan = function (dayTime, dayTimeMax) {
    var regex = "([0-9]+):([0-5][0-9]):([0-5][0-9])";
    if (!new RegExp(regex).test(dayTime)) {
        alert('Invalid dayTime:' + dayTime + '\n Expected: HH:MM:ss');
        return;
    }
    if (!new RegExp(regex).test(dayTimeMax)) {
        alert('Invalid dayTimeMax:' + dayTimeMax + '\n Expected: HH:MM');
        return;
    }

    var dayTimeSplit = dayTime.split(':');
    var dayTimeHours = dayTimeSplit[0];
    var dayTimeMinutes = dayTimeSplit[1];
    var dayTimeSeconds = dayTimeSplit[2];

    var dayTimeMaxSplit = dayTimeMax.split(':');
    var dayTimeMaxHours = dayTimeMaxSplit[0];
    var dayTimeMaxMinutes = dayTimeMaxSplit[1];
    var dayTimeMaxSeconds = dayTimeSplit[2];

    var date1 = new Date(2000, 0, 1, dayTimeHours, dayTimeMinutes, dayTimeSeconds);
    var date2 = new Date(2000, 0, 1, dayTimeMaxHours, dayTimeMaxMinutes, dayTimeMaxSeconds);

    if (date2.getTime() - date1.getTime() < 0) {
        return true;
    }
    else {
        return false;
    }
};

moment.getTimeGreaterThanOrEqual = function (dayTime, dayTimeMax) {
    var regex = "([0-9]+):([0-5][0-9]):([0-5][0-9])";
    if (!new RegExp(regex).test(dayTime)) {
        alert('Invalid dayTime:' + dayTime + '\n Expected: HH:MM:ss');
        return;
    }
    if (!new RegExp(regex).test(dayTimeMax)) {
        alert('Invalid dayTimeMax:' + dayTimeMax + '\n Expected: HH:MM');
        return;
    }

    var dayTimeSplit = dayTime.split(':');
    var dayTimeHours = dayTimeSplit[0];
    var dayTimeMinutes = dayTimeSplit[1];
    var dayTimeSeconds = dayTimeSplit[2];

    var dayTimeMaxSplit = dayTimeMax.split(':');
    var dayTimeMaxHours = dayTimeMaxSplit[0];
    var dayTimeMaxMinutes = dayTimeMaxSplit[1];
    var dayTimeMaxSeconds = dayTimeSplit[2];

    var date1 = new Date(2000, 0, 1, dayTimeHours, dayTimeMinutes, dayTimeSeconds);
    var date2 = new Date(2000, 0, 1, dayTimeMaxHours, dayTimeMaxMinutes, dayTimeMaxSeconds);

    if (date2.getTime() - date1.getTime() <= 0) {
        return true;
    } else {
        return false;
    }
};