﻿window.DetailView = Backbone.View.extend({
    events: {
        "click #backButton": "backButton",
    },

    backButton: function () {
        window.history.back(-1);
        //ActionHelper.navigate(new Object(), null, -1, null, null, true);
    },

    buildView: function (that) {
        var genericView = that.options.view;
        var title = $(that.el).find('#chartViewTitle');
        var viewId = $(that.el).find('#chartViewId');
        var fieldContainer = $(that.el).find('#chartViewFieldContainer');

        if (genericView.attributes.ViewName != null || genericView.attributes.ViewName != '') {
            title.text(genericView.attributes.ViewName);
        }

        viewId.text = genericView.attributes.ViewId;

        /*
        var genericFieldsSorted = GenericHelper.getViewFields(genericView);

       
        //GENERIC FIELDS
        _.each(genericFieldsSorted, function (field) {
            var genericProperty = window.genericProperties.get(field.attributes.PropertyId);

            ViewBuilder.createField(that, field, ActionHelper.CurrentView.Type);

        }, this);*/

        //GENERIC ACTIONS
        var viewActions = GenericHelper.getViewActions(genericView);

        _.each(viewActions, function (viewAction) {
            ActionHelper.prepareAction(genericView, viewAction);
        });

        //ONLOAD ACTIONS
        var onloadActions = _.filter(viewActions, function (action) {
            return action.attributes.ActionType == 'onload';
        });

        _.each(onloadActions, function (onloadAction) {
            var Command = 'ActionHelper.' + onloadAction.attributes.CommandName + ActionHelper.prepareParams(onloadAction);
            eval(Command);
        });

    },

    render: function (eventName) {
        var that = this;
        ActionHelper.CurrentView = this;
        ActionHelper.CurrentView.Type = this.options.view.attributes.ViewType;
        if (that.options.modelId != "null") {
            that.model = window.genericData.get(that.options.modelId);
        }
        if (that.options.refModelId != "null") {
            that.refModel = _.first(_.filter(window.genericData.models, function (model) {
                return model.attributes.ObjectId == that.options.refModelId;
            }));
        }
        that.options.refNavId = that.model.attributes.ObjectId;
        require(["lib/text!js/view/generic/html/ChartView.html"], function (template) {
            $(that.el).html(_.template(template)());
            $(that.el).i18n();

            that.buildView(that);

            $(that.el.parentNode).trigger('pagecreate');
            bodyMinHeightFix($('#ChartView'));
            ActionHelper.globalOnload();
        });
        return this;
    },
});